import { select } from 'd3';
import { barChart } from './barChart';

var milesRun = [
  2, 5, 4, 1, 2, 6, 5
];
var highTemperatures = [
  77, 71, 82, 87, 84, 78, 80, 84, 86, 
  72, 71, 68, 75, 73, 80, 85, 86, 80
];
 
var weatherChart = barChart()
  .data(highTemperatures)
  .fillColor('orange');
select('#weatherHistory').call(weatherChart);

var runningChart = barChart()
  .data(milesRun)
  .barPadding(2);
select('#runningHistory').call(runningChart);

runningChart
  .data(milesRun);

setTimeout(() => {
  weatherChart.fillColor('green');
}, 1500);

setTimeout(() => {
  runningChart.fillColor('steelblue');
}, 3000);

setTimeout(() => {
  weatherChart.data(milesRun);
}, 4500);

setTimeout(() => {
  runningChart.data(highTemperatures);
}, 6000);

setTimeout(() => {
  runningChart.width(500);
}, 7500);

setTimeout(() => {
  weatherChart.width(100);
}, 9000);